%% efface la figure 
%clf 
%% ne pas conserver les anciens graphes
%hold off
%% trace les isovaleurs de phi (fronts)
%% nombre de fronts 
nf=10 ; 
%% isovaleurs 
minf=min(min(psi)); 
maxf=max(max(psi)); 
difm=(maxf-minf)/(nf-1); 
iso=[minf:difm:maxf]; 
%% dessine les contours
contour(xx,tspan,psi,iso)
xlabel('x');
ylabel('t');
title('isophases (fronts)'); 
colorbar 
